Subject: bug#5848: 23.1.95; bands of background after font change if --with-x-toolkit=no

From: Jan Djärv <[email-masked]>
Date: Wed, 07 Apr 2010 12:03:58 +0200

YAMAMOTO Mitsuharu skrev 2010-04-07 11.48:
>
> FRAME_LINE_TO_PIXEL_Y used to be
>
> #define FRAME_LINE_TO_PIXEL_Y(f, row) \
>    (FRAME_INTERNAL_BORDER_WIDTH (f)  \
>     + (row) * FRAME_LINE_HEIGHT (f))
>
> and I changed the definition as you quoted so it takes account of the
> `row<  FRAME_TOP_MARGIN (f)' case in order to draw and handle events
> for non-toolkit menu/tool bars correctly.  Actually I seem to have
> overlooked the `base_height' calculation by specifying 0 as the number
> of lines.  (Also, `row' should have been parenthesized.)

Ah, that explains why I didn't see it at the time I made my changes.
I'll fix it by not using FRAME_LINE_TO_PIXEL_Y in 
FRAME_TEXT_LINES_TO_PIXEL_HEIGHT.

I don't know if the OSX port uses this macros, but something is wrong there.
(set-frame-parameter nil 'internal-border-width 6) shifts the scrollbar 
outside the window (see screen shot).  A value of 10 will hide the scroll bar 
entirely.  Do you think that is a separate bug?

	Jan D.